Nagios Bug and Feature Tracker
Bug and Feature Tracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000302 [Nagios Plugins] Other / Unknown minor have not tried 2012-03-19 07:45 2012-09-18 09:12
Reporter calestyo View Status public  
Assigned To
Priority normal Resolution open  
Status closed  
Summary 0000302: check_apt doesn't/shouldn't upgrade per default
Description Hi.

Two things:

a) check_apt already doesn't upgrade per default:
The check_apt script's help says:
 -U, --upgrade=OPTS
    [Default] Perform an upgrade. If an optional OPTS argument is provided,
    apt-get will be run with these command line options instead of the
    default (-o 'Debug::NoLocking=true' -s -qq).
    Note that you may be required to have root privileges if you do not use
    the default options.

One should perhaps add a note, the (as far as I understood) this won't do anything (per default), even as root (!!!), given that the "-s" (simulate) option is set.


b) IMHO, the default should be to just check (i.e. the --no-upgrade option to check_apt).
Most people run check_apt as non-root anyway,.. and even if run as root, then (as noted above in (b)) nothing happens right now anyway.

Cheers,
Chris.
Additional Information
Tags No tags attached.
OS
OS Version
Attached Files

- Relationships

-  Notes
(0000385)
calestyo (reporter)
2012-03-19 07:59

I would write the patches, if the ideas themselves are accepted.

This issue is loosely related to what I proposed just now in bug 0000303.


Regarding the (per default) simulated upgrade,... is there any advantage with doing this? I mean instead of just checking?
(0000499)
calestyo (reporter)
2012-07-01 15:28

The issue as described above was actually invalid.
I corrected it and forwarded it to:
https://sourceforge.net/tracker/?func=detail&aid=3539328&group_id=29880&atid=397597 [^]

Please close the issue here.

- Issue History
Date Modified Username Field Change
2012-03-19 07:45 calestyo New Issue
2012-03-19 07:59 calestyo Note Added: 0000385
2012-07-01 15:28 calestyo Note Added: 0000499
2012-09-18 09:12 ageric Status new => closed


Mantis 1.1.7[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker